Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms
Interface ServerSessionPoolFactory

All Known Subinterfaces:
  ServerSessionPoolFactory

Deprecated. Deprecated in WebLogic Server 8.1. Replaced by ServerSessionPoolFactory in weblogic.jms.extensions

    public interface ServerSessionPoolFactory

Method Summary
`ServerSessionPool` | `createServerSessionPool(Connection connection, int sessionsMaximum, int acknowledgeMode, boolean transacted, String messageListenerClass, Serializable userData)` Deprecated. Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.
`ServerSessionPool` | `getServerSessionPool(QueueConnection connection, int maxSessions, boolean transacted, int ackMode, String listenerClassName)` Deprecated. Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.
`ServerSessionPool` | `getServerSessionPool(TopicConnection connection, int maxSessions, boolean transacted, int ackMode, String listenerClassName)` Deprecated. Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.

Method Detail

### getServerSessionPool

    ServerSessionPool getServerSessionPool(TopicConnection connection,
                                           int maxSessions,
                                           boolean transacted,
                                           int ackMode,
                                           String listenerClassName)
                                           throws JMSException

  Deprecated.
  Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.

  The class `listenerClassName` may define a constructor which accepts a Session as an argument. The class must be public, and must define a public default constructor.

  Parameters:
    `connection` - Connection used to create the JMS Session
    `maxSessions` - Maximum number of sessions in the pool
    `transacted` - True if the session should be transacted
    `ackMode` - Acknowledgement mode for message delivery
    `listenerClassName` - Class to be instantiated to receive messages
  Throws:
    `JMSException` - if a JMS error occurs

### getServerSessionPool

    ServerSessionPool getServerSessionPool(QueueConnection connection,
                                           int maxSessions,
                                           boolean transacted,
                                           int ackMode,
                                           String listenerClassName)
                                           throws JMSException

  Deprecated.
  Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.

  The class `listenerClassName` may define a constructor which accepts a Session as an argument. The class must be public, and must define a public default constructor.

  Parameters:
    `connection` - Connection used to create the JMS Session
    `maxSessions` - Maximum number of sessions in the pool
    `transacted` - True if the session should be transacted
    `ackMode` - Acknowledgement mode for message delivery.
    `listenerClassName` - Class to be instantiated to receive messages
  Throws:
    `JMSException` - if a JMS error occurs

### createServerSessionPool

    ServerSessionPool createServerSessionPool(Connection connection,
                                              int sessionsMaximum,
                                              int acknowledgeMode,
                                              boolean transacted,
                                              String messageListenerClass,
                                              Serializable userData)
                                              throws JMSException

  Deprecated.
  Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.

  The class `listenerClassName` may define a constructor which accepts a Session as an argument. The class must be public, and must define a public default constructor. If the `clientData` and the `listenerClassName` refers to a class implementing the weblogic.jms.extensions.ServerSessionPoolListener interface, then the `clientData` is passed to the listener for use in the onMessage routine

  Parameters:
    `connection` - Connection used to create the JMS Session
    `maxSessions` - Maximum number of sessions in the pool
    `transacted` - True if the session should be transacted
    `ackMode` - Acknowledgement mode for message delivery.
    `listenerClassName` - Class to be instantiated to receive messages
    `clientData` - Serializable client data passed to listener
  Throws:
    `JMSException` - if a JMS error occurs
  See Also:
    `ServerSessionPoolListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD